Skip to main content
curl --location 'https://salesmap.kr/api/v1/organization' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
  "name": "Example_Organization"
  "fieldList": [
    {"name":"주소", "stringValue":"서울시 강남구"},
    {"name":"직원수", "numberValue":"15"},
  ]
}'
{
  "success": true,
  "data": {
    "id": "64510d08afa4b4ecff05c336",
    "name": "Example_Organization",
    "createdAt": "2023-05-02T13:15:52.881Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://forward-amaranth-cod.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorization
string
required
Bearer 토큰을 포함한 인증 헤더입니다.

Body

name
string
required
회사의 이름을 설정합니다. 같은 이름의 회사가 이미 존재하는 경우 생성할 수 없습니다.
fieldList
json
회사의 이름을 제외한 필드값을 설정합니다. 세일즈맵 탭에서 [회사 설정] - [데이터 필드 관리]을 클릭하면 회사의 데이터 필드를 확인할 수 있습니다.name 에는 field 의 이름을 입력합니다.field 의 유형이 텍스트나 단일 선택인 경우에는 stringValue 에 값을 설정하고, field 의 유형이 숫자인 경우에는 numberValue 에 값을 설정하고, field 의 유형이 날짜인 경우에는 dateValue 에 값을 설정합니다.

Response

success
boolean
요청을 성공적으로 완료한 경우 true, 실패한 경우 false 입니다.
data
object
생성한 회사 정보입니다.
curl --location 'https://salesmap.kr/api/v1/organization' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
  "name": "Example_Organization"
  "fieldList": [
    {"name":"주소", "stringValue":"서울시 강남구"},
    {"name":"직원수", "numberValue":"15"},
  ]
}'
{
  "success": true,
  "data": {
    "id": "64510d08afa4b4ecff05c336",
    "name": "Example_Organization",
    "createdAt": "2023-05-02T13:15:52.881Z"
  }
}